SDL_PLATFORM_APPLE(3)

NAME
SDL_PLATFORM_APPLE - A preprocessor macro that is only defined if compiling for Apple platforms.

HEADER FILE
Defined in SDL3/SDL_platform_defines.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_PLATFORM_APPLE 1

DESCRIPTION
iOS, macOS, etc will additionally define a more specific platform macro.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_PLATFORM_MACOS(3), •(3), SDL_PLATFORM_IOS(3), •(3), SDL_PLATFORM_TVOS(3), •(3), SDL_PLATFORM_VISIONOS(3)